# JSDoc: Class: MultiStairHandler

# Class: MultiStairHandler

## data.MultiStairHandler()

#### new MultiStairHandler()

Source:
  - data/MultiStairHandler.js, line 47

### Members

#### (static, readonly) StaircaseStatus :Symbol

Staircase status.

##### Type:

- Symbol

##### Properties:

Name | Type | Description
--- | --- | ---
`RUNNING` | Symbol | The staircase is currently running.
`FINISHED` | Symbol | The staircase is now finished.

Source:
  - data/MultiStairHandler.js, line 449

#### (static, readonly) StaircaseType :Symbol

MultiStairHandler staircase type.

##### Type:

- Symbol

##### Properties:

Name | Type | Description
--- | --- | ---
`SIMPLE` | Symbol | Simple staircase handler.
`QUEST` | Symbol | QUEST handler.

Source:
  - data/MultiStairHandler.js, line 430

### Methods

#### (protected) _nextTrial() → {void}

Move onto the next trial.

Source:
  - data/MultiStairHandler.js, line 282

##### Returns:

Type
  void

#### (protected) _prepareStaircases() → {void}

Setup the staircases, according to the conditions.

Source:
  - data/MultiStairHandler.js, line 222

##### Returns:

Type
  void

#### (protected) _validateConditions() → {void}

Validate the conditions.

Source:
  - data/MultiStairHandler.js, line 163

##### Returns:

Type
  void

#### addResponse() → {void}

Add a response to the current staircase.

Source:
  - data/MultiStairHandler.js, line 128

##### Returns:

Type
  void

#### currentStaircase() → {module.data.TrialHandler}

Get the current staircase.

Source:
  - data/MultiStairHandler.js, line 91

##### Returns:

the current staircase, or undefined if the trial has ended

Type
  module.data.TrialHandler

#### intensity() → {number}

Get the current intensity.

Source:
  - data/MultiStairHandler.js, line 104

##### Returns:

the intensity of the current staircase, or undefined if the trial has ended

Type
  number

#### intensity() → {number}

Get the current value of the variable / contrast / threshold.

This is the getter associated to getQuestValue.

Source:
  - data/QuestHandler.js, line 251

##### Returns:

the intensity of the current staircase, or undefined if the trial has ended

Type
  number